Skip to main content
`Ctrl`+`K`

# SNESMSRegisterAll

Registers all of the multi-stage methods in `SNESMS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSRegisterAll(void)

Logically Collective

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMS`, `SNESMSRegisterDestroy()`

## Level

developer

## Location

src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages